(* The obseervation functions, the same for all our confidentiality properties *)
theory Observation_Setup
imports Safety_Properties
begin

section{* The observation setup *}

consts UIDs :: "userID set" (* the observers *)

type_synonym obs = "act * out"

fun \<gamma> :: "(state,act,out) trans \<Rightarrow> bool" where
"\<gamma> (Trans _ a _ _) = (userOfA a \<in> UIDs)"

fun g :: "(state,act,out)trans \<Rightarrow> obs" where
"g (Trans _ a ou _) = (a,ou)"


end